/* Part of implementation of "stat" for the Amiga. Eric Green, Nov 89 */

struct stat
{
   long st_dev;
   long st_ino;
   unsigned short st_mode;
   short st_nlink;
   short st_uid;  /* dummy. */
   short st_gid;
   long st_rdev;
   long st_size;
   long st_atime; /* days since Jan 1 */
   long st_mtime; /* minutes past midnight */
   long st_ctime; /* tics past minute. */
};

#define S_IFMT 0170000
#define S_IFDIR 0040000
#define S_IFCHR 0020000
#define S_IFBLK 0060000
#define S_IFREG 0100000
#define S_IREAD 0000400
#define S_IWRITE 0000200
#define S_IEXEC 0000100


