/* htest.rexx */


/*		Copyright  1989 by Donald T. Meyer, Stormgate Software
 *		All Rights Reserved
 *
 *		Donald T. Meyer
 *		Stormgate Software
 *		P.O. Box 383
 *		St. Peters, MO  63376
 *
 *		BIX:	donmeyer		(almost daily)
 *		GEnie:	D.MEYER			(weekly)
 *		PLINK:	Stormgate		(weekly)
 */


if show( 'L', "REPORT_HOST" ) then
	call report_host_test()
else
	say "Unable to test the report host, it's not running!" '1010'x



if show( 'L', "DTM_HOST" ) then
	call dtm_host_test()
else
	say "Unable to test the DTM host, it's not running!"



say
say "All done testing the hosts!"

exit 0



/*-----------------------------------------------------------------*/

report_host_test:		PROCEDURE


say "------  Testing the report host  ------"


call setreport( 1, "GLOBAL" )


do i=1 to 15
	call report( 1, "Stormgate " || i )
end


call setreport( 1, "GLOBAL", "Test Program" )


do i=1 to 15
	call report( 1, "Mice are nice. " || i )
end


/* call setreport( 1, , "From CLI" ) */


do i=1 to 15
	call report( 1, "Amiga " || i )
end


call endreport()

return



/*-----------------------------------------------------------------*/

dtm_host_test:		PROCEDURE


say "------  Testing the dtm host  ------"
say

call debug( "Doing the dtm_host test now.  This message displayed, 
 via the debug() function!" )

say
say


/*		SHORTEN()		*/

s = "Run with the big dogs, or stay on the porch."

say "Original string:               " || s

say "After calling shorten( s, 5 ): " || shorten( s, 5 )
say
say



/*		ENDSTRIP()		*/

s = "Amiga.cbm"

say "Original string:                     " || s

say "After calling endstrip( s, '.cbm' ): " || endstrip( s, ".cbm" )

say "After calling endstrip( s, '.ibm' ): " || endstrip( s, ".ibm" )
say
say



/*		STRIP_TO_FILENAME()		*/

s = "DF0:Amiga.cbm"

say "Original string:                      " || s

say "After calling strip_to_filename( s ): " || strip_to_filename( s )
say

s = "DF0:Computers/Amiga.cbm"

say "Original string:                      " || s

say "After calling strip_to_filename( s ): " || strip_to_filename( s )
say
say



/*		TABEXPAND()		*/

s = "one" || '09'x || "two" || '09'x || "three!"
s1 = "one<tab>two<tab>three!"


say "Original string:                  " || s1
say "After calling tabexpand( s ):     " || tabexpand( s )
say "After calling tabexpand( s, 4 ):  " || tabexpand( s, 4 )
say "After calling tabexpand( s, 12 ): " || tabexpand( s, 12 )
say
say


return



/*-----------------------------------------------------------------*/
